Loading...
Searching...
No Matches
XrdSsiResource Class Reference

`#include <XrdSsiResource.hh>`

Inheritance diagram for XrdSsiResource:
Collaboration diagram for XrdSsiResource:

## Public Types

enum | Affinity { Default , None , Weak , Strong , Strict }

## Public Member Functions

| XrdSsiResource (std::string rname, std::string havoid="", std::string ruser="", std::string rinfo="", uint32_t ropts=0, Affinity raff=Default)
| ~XrdSsiResource ()
| Destructor.

## Public Attributes

Affinity | affinity
| Resource affinity.
XrdSsiEntity * | client
| -> Pointer to client identification (server-side)
std::string | hAvoid
| -> Comma separated list of hosts to avoid
std::string | rInfo
| -> Additional information in CGI format
std::string | rName
| -> Name of the resource to be used
uint32_t | rOpts
| Resource options. One or more of he following:
std::string | rUser
| -> Name of the resource user (nil if anonymous)

## Static Public Attributes

static const uint32_t | Discard = 2
static const uint32_t | Reusable = 1

## Detailed Description

Definition at line 42 of file XrdSsiResource.hh.

## Member Enumeration Documentation

## Affinity

enum XrdSsiResource::Affinity

Enumerator
Default | Use configured affinity.
None | Resource has no affinity, any endpoint will do.
Weak | Use resource on same node if possible, don't wait.
Strong | Use resource on same node even if wait required.
Strict | Always use same node for resource no matter what.

Definition at line 52 of file XrdSsiResource.hh.

{Default,
None,
Weak,
Strong,
Strict
};
XrdSsiResource::None
@ None
Resource has no affinity, any endpoint will do.
Definition XrdSsiResource.hh:53
XrdSsiResource::Strict
@ Strict
Always use same node for resource no matter what.
Definition XrdSsiResource.hh:56
XrdSsiResource::Weak
@ Weak
Use resource on same node if possible, don't wait.
Definition XrdSsiResource.hh:54
XrdSsiResource::Default
@ Default
Use configured affinity.
Definition XrdSsiResource.hh:52
XrdSsiResource::Strong
@ Strong
Use resource on same node even if wait required.
Definition XrdSsiResource.hh:55

## Constructor & Destructor Documentation

## XrdSsiResource()

XrdSsiResource::XrdSsiResource | ( | std::string | rname,
|  | std::string | havoid = "",
|  | std::string | ruser = "",
|  | std::string | rinfo = "",
|  | uint32_t | ropts = 0,
|  | Affinity | raff = Default )

inline

> Discard cached resource if it exists

Constructor

Parameters

  rname | the name of the resource. If using directory notation (i.e. slash separated names); duplicate slashes and dot-slashes are compressed out.
  havoid | if not null then points to a comma separated list of hostnames to avoid when finding the resource. This argument is only meaningful client-side.
  ruser | the name of the resource user. If nil the user is anonymous (unnamed). By default, all resources share the TCP connection to any endpoint. Different users have separate connections only if so requested vis the newConn option (see options above).
  rinfo | additional information to be passed to the endpoint that that provides the resource. The string should be in cgi format (e.g. var=val&var2=val2&....).
  raff | resource affinity (see Affinity enum).
  ropts | resource handling options (see individual options)

Definition at line 92 of file XrdSsiResource.hh.

: rName(rname), rUser(ruser), rInfo(rinfo),
hAvoid(havoid), client(0), affinity(raff),
rOpts(ropts) {}
XrdSsiResource::rUser
std::string rUser
-> Name of the resource user (nil if anonymous)
Definition XrdSsiResource.hh:47
XrdSsiResource::client
XrdSsiEntity * client
-> Pointer to client identification (server-side)
Definition XrdSsiResource.hh:50
XrdSsiResource::rOpts
uint32_t rOpts
Resource options. One or more of he following:
Definition XrdSsiResource.hh:60
XrdSsiResource::affinity
Affinity affinity
Resource affinity.
Definition XrdSsiResource.hh:58
XrdSsiResource::rInfo
std::string rInfo
-> Additional information in CGI format
Definition XrdSsiResource.hh:48
XrdSsiResource::rName
std::string rName
-> Name of the resource to be used
Definition XrdSsiResource.hh:46
XrdSsiResource::hAvoid
std::string hAvoid
-> Comma separated list of hosts to avoid
Definition XrdSsiResource.hh:49

References affinity, client, Default, hAvoid, rInfo, rName, rOpts, and rUser.

Referenced by XrdSsiFileResource::XrdSsiFileResource().

Here is the caller graph for this function:

## ~XrdSsiResource()

XrdSsiResource::~XrdSsiResource | ( |  | ) |

inline

Destructor.

Definition at line 106 of file XrdSsiResource.hh.

{}

## Member Data Documentation

## affinity

Affinity XrdSsiResource::affinity

Resource affinity.

Definition at line 58 of file XrdSsiResource.hh.

Referenced by XrdSsiResource().

## client

XrdSsiEntity* XrdSsiResource::client

-> Pointer to client identification (server-side)

Definition at line 50 of file XrdSsiResource.hh.

Referenced by XrdSsiResource(), and XrdSsiFileResource::Init().

## Discard

const uint32_t XrdSsiResource::Discard = 2

static

> Resource context may be cached and reused

Definition at line 64 of file XrdSsiResource.hh.

Referenced by XrdSsiServReal::ProcessRequest().

## hAvoid

std::string XrdSsiResource::hAvoid

-> Comma separated list of hosts to avoid

Definition at line 49 of file XrdSsiResource.hh.

Referenced by XrdSsiResource().

## Reusable

const uint32_t XrdSsiResource::Reusable = 1

static

Definition at line 62 of file XrdSsiResource.hh.

Referenced by XrdSsiServReal::ProcessRequest().

## rInfo

std::string XrdSsiResource::rInfo

-> Additional information in CGI format

Definition at line 48 of file XrdSsiResource.hh.

Referenced by XrdSsiResource(), and XrdSsiFileResource::Init().

## rName

std::string XrdSsiResource::rName

-> Name of the resource to be used

Definition at line 46 of file XrdSsiResource.hh.

Referenced by XrdSsiResource(), XrdSsiFileResource::Init(), XrdSsiService::Prepare(), and XrdSsiServReal::ProcessRequest().

## rOpts

uint32_t XrdSsiResource::rOpts

Resource options. One or more of he following:

Definition at line 60 of file XrdSsiResource.hh.

Referenced by XrdSsiResource(), and XrdSsiServReal::ProcessRequest().

## rUser

std::string XrdSsiResource::rUser

-> Name of the resource user (nil if anonymous)

Definition at line 47 of file XrdSsiResource.hh.

Referenced by XrdSsiResource(), and XrdSsiFileResource::Init().

The documentation for this class was generated from the following file:

- XrdSsiResource.hh